%{?!_without_python2:%global with_python2 0%{?_with_python2:1} || !(0%{?rhel} >= 8)}
%{?!_without_python3:%global with_python3 0%{?_with_python3:1} || !0%{?rhel}}

%global commit 524d5d36bdedc4995f06cdefaaa82546c41a75c2
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global pkgname modestmaps
%global srcname ModestMaps

Name:           python-%{pkgname}
Version:        1.4.7
Release:        2%{?dist}
Summary:        Modest Maps python port

Group:          Development/Libraries
License:        BSD
URL:            http://modestmaps.com
Source0:        https://github.com/stamen/%{pkgname}-py/archive/%{commit}/%{pkgname}-py-%{shortcommit}.tar.gz

BuildArch:      noarch

%description
Modest Maps is a small, extensible, and free library for designers and
developers who want to use interactive maps in their own projects. It provides
a core set of features in a tight, clean package with plenty of hooks for
additional functionality.

%if 0%{?with_python2}
%package -n python2-%{pkgname}
Summary:        %{summary}

BuildRequires:  python2-devel
Requires:       python%{!?rhel:2}-imaging

%{?python_provide:%python_provide python2-modestmaps}
%{!?python_provide:Provides: %{name} = %{version}-%{release}}

%description -n python2-%{pkgname}
Modest Maps is a small, extensible, and free library for designers and
developers who want to use interactive maps in their own projects. It provides
a core set of features in a tight, clean package with plenty of hooks for
additional functionality.
%endif # with_python2

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-devel
Requires:       python%{python3_pkgversion}-imaging

%{?python_provide:%python_provide python%{python3_pkgversion}-modestmaps}

%description -n python%{python3_pkgversion}-%{pkgname}
Modest Maps is a small, extensible, and free library for designers and
developers who want to use interactive maps in their own projects. It provides
a core set of features in a tight, clean package with plenty of hooks for
additional functionality.
%endif # with_python3

%prep
%autosetup -p1 -n %{pkgname}-py-%{commit}

%build
%if 0%{?with_python2}
%py2_build
%endif # with_python2

%if 0%{?with_python3}
%py3_build
%endif # with_python3

%install
%if 0%{?with_python2}
%py2_install
%endif # with_python2

%if 0%{?with_python3}
%py3_install
%endif # with_python3

%if 0%{?with_python2}
%files -n python2-%{pkgname}
%doc CHANGELOG
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%endif # with_python2

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{pkgname}
%doc CHANGELOG
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%endif # with_python3

%changelog
* Mon Nov 19 2018 Scott K Logan <logans@cottsay.net> - 1.4.7-2
- Fix python_provide for EPEL

* Fri Nov 16 2018 Scott K Logan <logans@cottsay.net> - 1.4.7-1
- Update to 1.4.7
- Add python3 package
- Switch to Github upstream

* Sun Feb 05 2017 Scott K Logan <logans@cottsay.net> - 1.4.6-3
- Update to latest Fedora packaging guidelines

* Fri Nov 28 2014 Scott K Logan <logans@cottsay.net> - 1.4.6-2
- Clean-ups from package review

* Sun Sep 28 2014 Scott K Logan <logans@cottsay.net> - 1.4.6-1
- Initial package
